Deleting items in bulk
Requests
HTTP request
DELETE /apis/auth.alauda.io/v1/projects
delete collection of Project
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| allowWatchBookmarks | boolean | False | allowWatchBookmarks requests watch events with type "BOOKMARK". Servers that do not implement bookmarks may ignore this flag and bookmarks are sent at the server's discretion. Clients should not assume bookmarks are returned at any specific interval, nor may they assume the server will send any BOOKMARK event during a session. If this is not a watch, this field is ignored. If the feature gate WatchBookmarks is not enabled in apiserver, this field is ignored. |
| continue | string | False | The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the "next key". This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications. |
| fieldSelector | string | False | A selector to restrict the list of returned objects by their fields. Defaults to everything. |
| labelSelector | string | False | A selector to restrict the list of returned objects by their labels. Defaults to everything. |
| limit | integer | False | limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true. The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned. |
| resourceVersion | string | False | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv. |
| timeoutSeconds | integer | False | Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity. |
| watch | boolean | False | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. |
| pretty | string | False | If 'true', then the output is pretty printed. |
Responses
Content-Type
application/json,
application/yaml
Status code: 200
OK
Sample response
Status is a return value for calls that don't return other objects.
{
"apiVersion": "",
"code": 1,
"details": {
"causes": [
{
"field": "",
"message": "",
"reason": ""
}
],
"group": "",
"kind": "",
"name": "",
"retryAfterSeconds": 1,
"uid": ""
},
"kind": "",
"message": "",
"metadata": {
"continue": "",
"remainingItemCount": 1,
"resourceVersion": "",
"selfLink": ""
},
"reason": "",
"status": ""
}Parameters
| Name | Type | Description |
|---|---|---|
| apiVersion | string | See common parameters |
| code | integer (int32) |
Suggested HTTP return code for this status, 0 if not set.
Path: code |
| details | object |
StatusDetails is a set of additional properties that MAY be set by the server to provide additional information about a response. The Reason field of a Status object defines what attributes will be set. Clients must ignore fields that do not match the defined type of each attribute, and should assume that any attribute may be empty, invalid, or under defined.
Path: details |
| details.causes | array |
The Causes array includes more details associated with the StatusReason failure. Not all StatusReasons may provide detailed causes.
Path: details.causes |
| details.causes[] | object |
StatusCause provides more information about an api.Status failure, including cases when multiple errors are encountered.
Path: details.causes[] |
| causes[].field | string |
The field of the resource that has caused this error, as named by its JSON serialization. May include dot and postfix notation for nested attributes. Arrays are zero-indexed. Fields may appear more than once in an array of causes due to fields having multiple errors. Optional.
Examples:
"name" - the field "name" on the current resource
"items[0].name" - the field "name" on the first array entry in "items"
Path: details.causes[].field |
| causes[].message | string |
A human-readable description of the cause of the error. This field may be presented as-is to a reader.
Path: details.causes[].message |
| causes[].reason | string |
A machine-readable description of the cause of the error. If this value is empty there is no information available.
Path: details.causes[].reason |
| details.group | string |
The group attribute of the resource associated with the status StatusReason.
Path: details.group |
| details.kind | string |
The kind attribute of the resource associated with the status StatusReason. On some operations may differ from the requested resource Kind. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
Path: details.kind |
| details.name | string |
The name attribute of the resource associated with the status StatusReason (when there is a single name which can be described).
Path: details.name |
| details.retryAfterSeconds | integer (int32) |
If specified, the time in seconds before the operation should be retried. Some errors may indicate the client must take an alternate action - for those errors this field may indicate how long to wait before taking the alternate action.
Path: details.retryAfterSeconds |
| details.uid | string |
UID of the resource. (when there is a single resource which can be described). More info: http://kubernetes.io/docs/user-guide/identifiers#uids
Path: details.uid |
| kind | string | See common parameters |
| message | string |
A human-readable description of the status of this operation.
Path: message |
| metadata | object | See common parameters |
| reason | string |
A machine-readable description of why this operation is in the "Failure" status. If this value is empty there is no information available. A Reason clarifies an HTTP status code but does not override it.
Path: reason |
| status | string |
Status of the operation. One of: "Success" or "Failure". More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status
Path: status |